List sign-in providers
GET
/api/v1/auth/providers
const url = 'http://127.0.0.1:8080/api/v1/auth/providers';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:8080/api/v1/auth/providersAvailable only when account authentication is enabled. Provider configuration is restart-bound. Local logout does not require an external provider. Responses must not be cached.
Responses
Section titled “Responses”The configured providers, ordered by ID.
Media typeapplication/json
object
providers
required
Array<object>
object
display_name
required
string
id
required
string
kind
required
string
Example
{ "providers": [ { "kind": "oidc" } ]}Structured authentication boundary failure
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}Structured authentication boundary failure
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}Structured authentication boundary failure
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}Structured authentication boundary failure
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}Structured authentication boundary failure
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}